<%@ Page Language="C#" AutoEventWireup="true" debug="true"  CodePage="65001" Inherits="WinLibClass.Form.Admin.Dialog.UserNickNameList" intPageSize="13"  %>		
		
<script>

jQuery(document).ready(function(){
	jQuery("div[class='SelectDiv']").mousemove(function(){
		jQuery(this).removeClass("SelectDiv_NoSelect");
		jQuery(this).addClass("SelectDiv_Select");
	});
	jQuery("div[class='SelectDiv']").mouseout(function(){
		var id=jQuery(this).attr("id").substr(5);
		if(<%=UserId%>!=id)
		{
			jQuery(this).addClass("SelectDiv_NoSelect");
			jQuery(this).removeClass("SelectDiv_Select");
		}
	});	
	jQuery("#User_<%=UserId%>").addClass("SelectDiv_Select");
	jQuery("div[id^='User_']").click(function()
	{
		var o = jQuery(this);
		var _UserNickName =o.attr("UserNickName");
		var _UserId = o.attr("UserId");
		if(_UserId==0) _UserNickName = "系统";
		jQuery("#<%=SpanId%>").html(_UserNickName);
		jQuery("#<%=InputId%>").val(_UserId);
		Common.EditDialogClose("Dom_UserChoose");
	});
});
//Dialog_UserNickNameList
function LoadData(p)
{
		var _ch = jQuery("#inputSelectText").val();
		$.ajax({
		type: "POST",
		url: "../dialog/UserNickNameList.aspx?p="+p,
		data:{"UserId":<%=UserId%>,"SpanId":'<%=SpanId%>',"InputId":'<%=InputId%>',"ChooseType":<%=ChooseType%>,"unnc":_ch},
		cache: false,
		success: function(msg){
			//$("#Dialog_User_List .dialogboxContent").html(msg);
			Common.EditDialogSetContent("Dom_UserChoose",msg);
		}
		,
		error:function(msg)
		{
			AlertErr(msg.responseText);
		}
	});
}


</script>




<div style="margin-left:0px;width:820px;border:1px solid #97BDE8;height:302px;overflow:hidden">


	<div style="height:25px;margin:3px 3px 3px 3px;border-bottom:2px dotted #97BDE8;text-align:left;">
	<b>会员昵称关键字</b>:<input type="text" id="inputSelectText" value="<%=strUserNickNameCh%>" />
	<input type="button" value="查询..." onclick='LoadData(0);' />
	</div>

	<asp:Repeater id="rpList" runat="server">
	<ItemTemplate>
	<div class="SelectDiv"  id="User_<%#Eval("id")%>" UserNickName="<%#Eval("UserNickName")%>" UserId="<%#Eval("id")%>">
		<li style="margin:4px;width:100px;height:80px;overflow:hidden;"><img src="<%#Eval("Userheadimage")%>" onerror='this.src="/images/upic.jpg"'  /></li>
		<li style="height:30px;"><%#Eval("UserNickName")%></li>
	</div>
	</ItemTemplate>
	</asp:Repeater>

	<div class="SelectDiv"  id="User_0" UserNickName="(<%=(ChooseType==0?"来自":"发给")%>)系统" UserId="0">
		<li style="margin:4px;width:100px;height:80px;overflow:hidden;"><img src="/images/upic.jpg"  /></li>
		<li style="height:30px;"><%//=(ChooseType==0?"来自":"发给")%>系统</li>
	</div>
</div>


<div class="page" style="margin-left:-13px"><%=strPageInfo%></div>